/* Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.flowable.admin.conf;

import org.flowable.admin.properties.FlowableAdminAppProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;
import org.springframework.context.annotation.PropertySource;
import org.springframework.context.annotation.PropertySources;

@Configuration
@PropertySources({
        // For backwards compatibility (pre 6.3.0)
        @PropertySource(value = "classpath:/META-INF/flowable-ui-app/flowable-ui-app.properties", ignoreResourceNotFound = true),
        @PropertySource(value = "classpath:flowable-ui-app.properties", ignoreResourceNotFound = true),
        @PropertySource(value = "file:flowable-ui-app.properties", ignoreResourceNotFound = true)
        
})
@ComponentScan(basePackages = {
        "org.flowable.admin.repository",
        "org.flowable.admin.service",
        "org.flowable.admin.filter",
        "org.flowable.admin.security",
        "org.flowable.app.conf",
        "org.flowable.app.repository",
        "org.flowable.app.service",
        "org.flowable.app.filter",
        "org.flowable.app.security"
})
@Import(value = {
        SecurityConfiguration.class,
    DatabaseConfiguration.class
})
@EnableConfigurationProperties(FlowableAdminAppProperties.class)
public class ApplicationConfiguration {

}
